Bug 55790 - (NET BCM5700)dell 2550 broadcom bcm5700 module.conf options fail
(NET BCM5700)dell 2550 broadcom bcm5700 module.conf options fail
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-06 13:24 EST by ccapelik
Modified: 2013-07-02 22:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ccapelik 2001-11-06 13:24:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.3-12smp i686)

Description of problem:
This /etc/modules.conf entry used to work to put my
dell 2550 eth2 broadcom gigabit interface into 100 Mbit/s,
full duplex mode in rh7.1 kernels 2.4.2-* and 2.4.3-* :

options bcm5700 line_speed=100 full_duplex=1

however under kernel 2.4.9-6 and -12 it now forces 
the interface down:

Nov  6 09:58:30 meggan network: Bringing up interface eth2:  succeeded
Nov  6 09:58:43 meggan kernel: eth2: Broadcom BCM5700 found at mem
feb00000, IRQ
17, node addr 00b0d0df0f71
Nov  6 09:58:43 meggan kernel: eth2: Broadcom BCM5401 Copper transceiver
found
Nov  6 09:58:43 meggan kernel: eth2: Scatter-gather ON, 64-bit DMA ON, Tx
Checksum
OFF, Rx Checksum OFF
Nov  6 09:58:43 meggan kernel: bcm5700: eth2 NIC Link is DOWN

I have to comment out that /etc/modules.conf entry and reboot
for the interface to start working again.  However it starts
up as 100Mbit/s and HALF-duplex.  Then I have to use mii-tool
to force to FULL-duplex and that works.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. have dell 2550 with on-board broadcom gigabit rh45 recepticable
2. connect to a cisco switch forcing cisco port to full/100
3. install rh7.1 kernels 2.4.9-6 or -12 with all latest rpm patches
4. add this /etc/modules.conf entry: alias eth2 bcm5700
5. add this too: options bcm5700 line_speed=100 full_duplex=1
6. reboot and you'll see link light on gigabit port go out mid-boot

Actual Results:  [root@meggan /root]# cat /etc/modules.conf
alias eth0 eepro100
alias eth1 e1000
alias eth2 bcm5700
alias scsi_hostadapter aic7xxx
alias parport_lowlevel parport_pc
alias usb-controller usb-ohci
options eepro100 options=48
options e100 e100_speed_duplex=4
# options bcm5700 line_speed=100 full_duplex=1

[root@meggan /root]# uname -a
Linux meggan.989studios.com 2.4.9-12smp #1 SMP Tue Oct 30 18:16:48 EST 2001
i686
unknown

with bcm5700 options reinstated:

Nov  6 09:58:30 meggan network: Bringing up interface eth2:  succeeded
Nov  6 09:58:43 meggan kernel: eth2: Broadcom BCM5700 found at mem
feb00000, IRQ
17, node addr 00b0d0df0f71
Nov  6 09:58:43 meggan kernel: eth2: Broadcom BCM5401 Copper transceiver
found
Nov  6 09:58:43 meggan kernel: eth2: Scatter-gather ON, 64-bit DMA ON, Tx
Checksum
OFF, Rx Checksum OFF
Nov  6 09:58:43 meggan kernel: bcm5700: eth2 NIC Link is DOWN

althought ifconfig eth2 shows the interface is 'up':

eth2      Link encap:Ethernet  HWaddr 00:B0:D0:DF:0F:71  ^M
          inet addr:208.236.12.134  Bcast:208.236.12.255 
Mask:255.255.255.0^M
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1^M
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0^M
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0^M
          collisions:0 txqueuelen:100 ^M
          Interrupt:17 ^M
^M

comment out the bcm options and reboot:

Nov  6 10:02:12 meggan network: Bringing up interface eth2:  succeeded
Nov  6 10:02:24 meggan kernel: eth2: Broadcom BCM5700 found at mem
feb00000, IRQ
17, node addr 00b0d0df0f71
Nov  6 10:02:24 meggan kernel: eth2: Broadcom BCM5401 Copper transceiver
found
Nov  6 10:02:24 meggan kernel: eth2: Scatter-gather ON, 64-bit DMA ON, Tx
Checksum
OFF, Rx Checksum OFF
Nov  6 10:02:24 meggan kernel: bcm5700: eth2 NIC Link is UP, 100 Mbps half
duplex


Expected Results:  expect the gigabit interface to come up as 100 Mbit/s
full-duplex
and stay up.


Additional info:
Comment 1 Norm Murray 2001-11-08 16:01:43 EST
Working with Chip, and doing some testing in the lab here. This is related to
the switch settings. When the switch is set to:
                set port duplex <portnum> full
                set port speed <portnum> 100

The bcm5700 module will only work without the option line and will only come up
half-duplex. With the port set to auto negotiate, the bcm5700 module will honor
the option line, and will also auto negotiate to full duplex. 

Not having admin access to the switch, I can't test this last bit in house here.
Everything else is currently set up on perf54 internally.
Comment 2 Bugzilla owner 2004-09-30 11:39:15 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.